Subject: Re: [PATCH v3 3/8] [RFC] ls-files: error out on -i unless -o or -c are specified

From: Junio C Hamano <[email-masked]>
Date: Wed, 12 May 2021 07:32:13 +0900

Elijah Newren <[email-masked]> writes:

>> If we are not defaulting to cached, then
>>
>>         die("ls-files -i must be used with either -o or -c");
>>
>> would also make sense.
>
> Ooh, that wording is much nicer.  I'll adopt the latter suggestion,
> but let me know if you'd rather I went the warning route.

Even though warning would be safer, I have no strong prefeference.
Either way will resolve my puzzlement.

Thanks.